.main-container {
  position: relative;
  width: 100%;
  height: auto;
}

.polygon {
  position: absolute;
  top: 0;
  left: 0;
  transform: translateY(-120px);
}

.rectangle-border-right {
  position: absolute;
  top: 0;
  right: 0;
  transform: translateY(-90px);
}

.rectangle-light-red {
  position: absolute;
  top: 120px;
  right: 0;
}

@media (min-width: 320px) and (max-width: 390px) {
  .polygon {
    display: none;
  }

  .rectangle-border-right {
    display: none;
  }

  .rectangle-light-red {
    display: none;
  }
}

@media (min-width: 391px) and (max-width: 1100px) {
  .main-container {
    overflow-x: hidden;
    transform: translateY(-38px);
  }

  .polygon {
    position: absolute;
    top: 0;
    left: 0;
    transform: translateY(-200px);
  }

  .rectangle-border-right {
    position: absolute;
    top: 0;
    right: 0;
    transform: translate(160px, -200px);
  }

  .rectangle-light-red {
    position: absolute;
    top: 120px;
    right: 0;
    transform: translate(160px, -250px);
  }
}
